## alien.tar.gz

=== Makefile ===
# Set this to wherever you want alien to install. Eg, /usr/local or /usr
PREFIX=/usr

all:

clean:
	-rm build
	-rm *.bak

install:	
	install -d $(DESTDIR)/$(PREFIX)/bin
	perl -pe '$$_="\t\$$prefix=\"$(PREFIX)\";" if /AUTOREPLACE/' alien \
		> $(DESTDIR)/$(PREFIX)/bin/alien
	chmod 755 $(DESTDIR)/$(PREFIX)/bin/alien
	install -d $(DESTDIR)/$(PREFIX)/lib/alien/patches \
		$(DESTDIR)/var/lib/alien
	cp -fa lib/* $(DESTDIR)/$(PREFIX)/lib/alien
	cp -f patches/* $(DESTDIR)/$(PREFIX)/lib/alien/patches/
	-rm -f $(DESTDIR)/$(PREFIX)/lib/alien/patches/*.gz
	gzip -qf9 $(DESTDIR)/$(PREFIX)/lib/alien/patches/*
	install -d $(DESTDIR)/$(PREFIX)/man/man1
	cp -f alien.1 $(DESTDIR)/$(PREFIX)/man/man1

# This updates the version number in various files.
VER=$(shell perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)
VERFILES=alien.spec alien.lsm
OLD_VER=$(shell perl -e '<>;<>;while(length(<>)>1){};<>;<>;$$_=<>;print m/\((.*?)\)/'<debian/changelog)
version:
	@echo Updating version info....
	perl -i -pe "s/\@version\@/$(VER)/g" <alien.spec.in >alien.spec
	perl -i -pe "s/\@version\@/$(VER)/g" <alien.lsm.in >alien.lsm

localdist:
# Install in the proper location on my ftp server and web server. Not intended
# for use by anyone except the author.
	if [ `hostname` = 'kite' ] ; then \
		cp ../alien_$(VER).tar.gz ../../public; \
		rm /home/ftp/pub/code/alien/* || true; \
		cp *.lsm /home/ftp/pub/code/alien; \
		cp CHANGES /home/pub/programs/alien/CHANGES; \
		echo $(VER) > /home/pub/programs/alien/LATEST-VERSION-IS; \
		cd ..; rm -rf alien-$(OLD_VER); \
		[ -f ../public/alien_$(OLD_VER).tar.gz ] && \
		tar zxf ../public/alien_$(OLD_VER).tar.gz || \
		tar zxf ../outdated/alien_$(OLD_VER).tar.gz; \
		diff -r -u --new-file --exclude alien.lsm \
			--exclude alien.spec --exclude CHANGES \
			alien-$(OLD_VER) alien-$(VER) > \
			/home/ftp/pub/code/alien/diffs/alien-$(VER).diff; \
		gzip -9f /home/ftp/pub/code/alien/diffs/alien-$(VER).diff; \
		cd /home/ftp/pub/code/alien; \
		ln -sf ../debian/alien_$(VER).tar.gz alien_$(VER).tar.gz; \
		ln -sf ../debian/alien_$(VER).tar.gz alien.tar.gz ; \
		cd /tmp; rm -f alien-$(OLD-VER); \
        fi

debian:
	dpkg-buildpackage -tc -rfakeroot

rpm:
	sudo rpm -ba -v alien.spec --target noarch

stampede:
	if [ `hostname` = 'kite' ] ; then \
		fakeroot alien --to-slp ../alien_$(VER)_all.deb ; \
		rm -f /home/ftp/pub/code/alien/*.slp ; \
		mv alien-$(VER).slp /home/ftp/pub/code/alien/ ; \
		ln -s /home/ftp/pub/code/alien/alien-$(VER).slp \
			/home/ftp/pub/code/alien/alien.slp ; \
	fi

dist: debian localdist stampede rpm

.PHONY: debian

=== debian/control ===
Source: alien
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.5.0.0

Package: alien
Architecture: all
Section: admin
Depends: debhelper (>= 0.88), perl (>= 5.004), rpm (>= 2.4.4-2), dpkg-dev, make
Suggests: patch, bzip2
Description: Install Red Hat, Stampede, and Slackware Packages with dpkg.
 Alien allows you to convert Red Hat, Stampede and Slackware Packages into
 Debian packages, which can be installed with dpkg. 
 .
 It can also convert into Slackware, Red Hat, and Stampede packages.
 .
 This is a tool only suitable for binary packages.
